xcb_damage_add(3)

NAME
xcb_damage_add - Add a region to a previously created Damage object.

SYNOPSIS
#include <xcb/damage.h>

  Request function

xcb_void_cookie_t xcb_damage_add(xcb_connection_t *conn, xcb_drawable_t drawable, xcb_xfixes_region_t region);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

region
    TODO: NOT YET DOCUMENTED.

DESCRIPTION
This updates the regions of damage recorded in a a Damage object. See https://www.x.org/releases/current/doc/damageproto/damageproto.txt for details.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_damage_add_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from damage.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.